<?php
/*
Plugin Name: Email Return-Path Header Changer
Description: This plugin sets the Return-Path header of outgoing emails to equal the from email address.
Author: DigiWorks
Author URI: https://digiworks.nl
Plugin URI: https://digiworks.nl/
Version: 1.0
License: GPLv2
*/
class email_return_path {
  	function __construct() {
		add_action( 'phpmailer_init', array( $this, 'rpf' ) );    
  	}

	function rpf( $phpmailer ) {
	  	$phpmailer->Sender = $phpmailer->From;
	}
}

new email_return_path();